package com.ruoyi.common.utils;

import java.util.ArrayList;
import java.util.Random;

public class ArrayListRandom {
    public static ArrayList<Integer> generateRandomIDs(int min, int max, int total) {
        ArrayList<Integer> ids = new ArrayList<>();
        Random random = new Random();

        for (int i = 0; i < total; i++) {
            int id = random.nextInt(max - min + 1) + min;
            if (!ids.contains(id)) {
                ids.add(id);
            } else {
                i--; // 如果ID已存在，重新生成
            }
        }

        return ids;
    }
}
